Package: ruby-gettext / 3.0.2-2~bpo70+1

0006-Add-missing-require-in-lib-gettext-tools-xgettext.rb.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
From: =?UTF-8?q?J=C3=A9r=C3=A9my=20Bobbio?= <lunar@debian.org>
Date: Sat, 19 Oct 2013 14:53:04 +0200
Subject: Add missing require in lib/gettext/tools/xgettext.rb

GetText::Tools::XGetText.parse uses GetText::PO, so the later needs to be
loaded.

Closes: #726797
---
 lib/gettext/tools/xgettext.rb |    1 +
 1 file changed, 1 insertion(+)

diff --git a/lib/gettext/tools/xgettext.rb b/lib/gettext/tools/xgettext.rb
index 702eebc..abacc46 100644
--- a/lib/gettext/tools/xgettext.rb
+++ b/lib/gettext/tools/xgettext.rb
@@ -24,6 +24,7 @@ require "pathname"
 require "optparse"
 require "locale"
 require "gettext"
+require "gettext/po"
 
 module GetText
   module Tools